package com.jpsoft.shinestar.modules.business.dao;

import java.util.Date;
import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.business.entity.YearRequestForLeaveInfo;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface YearRequestForLeaveInfoDAO {
	int insert(YearRequestForLeaveInfo entity);
	int update(YearRequestForLeaveInfo entity);
	int exist(String id);
	YearRequestForLeaveInfo get(String id);
	int delete(String id);
	List<YearRequestForLeaveInfo> list();
	List<YearRequestForLeaveInfo> findByPersonIdAndDate(Long personId, Date attendanceDate);
	List<YearRequestForLeaveInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<YearRequestForLeaveInfo> mobileSearch(Map<String, Object> searchParams, List<Sort> sortList);
    List<YearRequestForLeaveInfo> findByPersonIdAndSEDate(Long personId, Date startDate, Date endDate);
}